For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reserves list

get

Retrieves the list of reserves from the AAVE V3 UI Pool Data Provider.

Authorizations
AuthorizationstringRequired
Query parameters
contract_addressstringRequired
  • The contract address to query.
chain_idstringRequired
  • The chain ID to query.
providerstringRequired
  • The provider to use for querying the reserves list.
Header parameters
AuthorizationstringRequired
  • The authorization token.
Responses
200

A promise that resolves to an AAVEv3UiPoolDataProviderAPIResponse containing an array of reserve addresses.

application/json

Interface representing the API response from AAVE v3 UI Pool Data Provider.

successbooleanRequired

Indicates whether the API call was successful.

messagestringRequired

A message providing additional information about the API call.

datastring[]Optional

The data returned by the API call, if any.

get
/aave/v3/pool-data/reserves-list
200

A promise that resolves to an AAVEv3UiPoolDataProviderAPIResponse containing an array of reserve addresses.